#!/bin/sh
# source /etc/conf.d/vdr
cd /usr/local/src/VDR
VS="$(pidof vdr)"
[ "$VS" != "" ] && /etc/init.d/vdr stop
UPD=0

if [ "$(patch -f --dry-run eit.c < /_config/update/patches/up01.vdr-epg.diff | grep FAILED)" = "" ] ; then
   patch -f < /_config/update/patches/up01.vdr-epg.diff
   make all
   UPD=1
fi

if [ ! -f /usr/local/src/VDR/PLUGINS/src/graphtft/imlibrenderer/dvbrenderer/player.h ] ; then
   cd /usr/local/src/VDR/PLUGINS/src/graphtft/imlibrenderer/dvbrenderer
   mv player.h0* player.h
   mv player.c0* player.c
   cd /usr/local/src/VDR/PLUGINS/src/graphtft
   make clean all
   UPD=1
fi   

if [ "$UPD" = "1" ] ; then
   /_config/bin/instvdr.sh
fi      

